<html>
<head>
    <title>Функции в JavaScript</title>

    <script type="text/javascript">

        do{
            var number=+prompt('Enter number');
        }while(isNaN(number));

        do{
            var power=+prompt('Enter power');
        }while(isNaN(power));

        
        function raise_to_power(a,b) {
            if (power>0) {
            var result = a;
            for(var i=1; i<b; i++) {
                result *= a;
            }
            return result
            }
        
        else if(power<0) {
            var result = 1/a;
            for(var i=-1; b<i; i--) {
                result *= 1/a;
            }
            return result
            }

        else {
            var result = 1;
            return result
            }
        }

        var res = raise_to_power(number,power);
        document.write(res);
        
    </script>

</head>
<body>

    <!-- Разметка страници -->

</body>
</html>
